## pam-shield 0.9.2

=== Makefile ===
#
#	pam_shield	WJ106
#

bindir=/usr/sbin
confdir=/etc/security
pamdir=/lib/security
crondir=/etc/cron.daily

CC = gcc
LD = ld
RM = rm -f
MKDIR = mkdir
INSTALL = install

CFLAGS = -Wall -Wstrict-prototypes -fPIC
LFLAGS = -shared -Xlinker -x
PAM_LIB = -lpam
GDBM_LIB = -lgdbm
LIBS =

.c.o:
	$(CC) $(CFLAGS) -c $<

all: .depend pam_shield.so shield-purge

include .depend

pam_shield.so: pam_shield.o
	$(CC) $(LFLAGS) -o pam_shield.so pam_shield.o $(PAM_LIB) $(GDBM_LIB) $(LIBS)

shield-purge: shield_purge.o
	$(CC) shield_purge.o -o shield-purge $(GDBM_LIB) $(LIBS)

clean:
	$(RM) core pam_shield.so pam_shield.o shield_purge.o shield-purge

mrproper: clean
	$(RM) db
	> .depend

dep depend .depend:
	$(CC) -M pam_shield.c shield_purge.c > .depend

install: all
	$(INSTALL) -s -o root -g root -m 644 pam_shield.so ${pamdir}
	$(INSTALL) -o root -g root -m 755 -T pam_shield.cron ${crondir}/pam-shield
	$(INSTALL) -o root -g root -m 755 shield-trigger.sh ${bindir}
	$(INSTALL) -s -o root -g root -m 755 shield-purge ${bindir}
	$(INSTALL) -o root -g root -m 644 shield.conf ${confdir}
	$(MKDIR) -p -m 700 /var/lib/pam_shield

uninstall:
	$(RM) ${pamdir}/pam_shield.so
	$(RM) ${crondir}/pam-shield
	$(RM) ${bindir}/shield-trigger.sh
	$(RM) ${bindir}/shield-purge
	$(RM) ${confdir}/shield.conf
	$(RM) -r /var/lib/pam_shield

# EOB

## pam-shield 0.9.6

=== debian/changelog ===
pam-shield (0.9.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix debian/watch 

 -- Hideki Yamane <henrich@debian.org>  Wed, 25 Nov 2015 12:52:37 +0900

pam-shield (0.9.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable (probably last upload just avoids freeze)
  * debian/patches
    - add dont-specify-automake-and-autoconf-version.patch (Closes: #713181)

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 17:23:17 +0900

pam-shield (0.9.6-1) experimental; urgency=low

  * New maintainer. (Closes: #572656).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards Version to 3.9.3.0. (No changes needed).
  * Update to debhelper 8.
    -dh_clean now handles *-stamp (7)
    -new dh_prep. (7)
    -no debhelper 8 specific changes
  * New homepage; updated watchfile.
  * Lintian fixups:
    -Add misc:Depends to control (debhelper-but-no-misc-depends)
    -Add override for INSTALL (package-contains-upstream-install-documentation)
    -Add DEP-3 headers to patches (quilt-patch-missing-description)
  * Rename cron job so run-parts will actually run it.
  * Support pam-auth-update. (Closes: #579514)
  * New upstream release:
    -Add manpage for shield.conf (Closes: #488847).
    -Ensure cron job does not return 0 (Closes: #563065).
    -Add --force option to shield-purge (Closes: #457642).
    -Wait for database if it isn't writable (Closes: #488841).
    -Modify shield-purge to work without arguments.
    -Fix a memory leak in shield-purge.
    -Fix shield-purge to traverse entire database.
    -Treat missing DNS parameters properly
    -Fix race condition (blocking same IP multiple times)
    -Continue on errors from read_config
    -Use IP blackhole routing to block
    -Optional ufw-based blocking

 -- Jonathan Niehof <jtniehof@gmail.com>  Sun, 03 Jun 2012 13:08:23 -0600

pam-shield (0.9.2-3.3) stable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2012-2350: block IPs when allow_missing_dns is no
    (Closes: #658830).

 -- Jonathan Niehof <jtniehof@gmail.com>  Sun, 26 Feb 2012 09:55:31 -0700

pam-shield (0.9.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps and patch to use automake-1.11. (Closes: #543024).
  * Install INSTALL file. (Closes: #517050).
  * Add install-sh to clean target in rules.
  * Remove paths from commands in maintainer scripts.
  * Add README.source for quilt patch system.
  * Add Homepage field.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 09 Oct 2009 09:04:02 -0400

pam-shield (0.9.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Check for executable in cron file (Closes: #461574)

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 01 May 2008 17:53:43 +0200

pam-shield (0.9.2-3) unstable; urgency=low

  * Checked against new debian-policy and changed to 3.7.3
  * Fixed differnce between documentation and installed files
    (Closes: #456759)
  * Fixed suboptimal description wording (Closes: #456814)
  * Fixed typo in the short description (Closes: #457043)

 -- Mateusz Kaduk <mateusz@kaduk.net>  Wed, 19 Dec 2007 16:28:24 +0100

pam-shield (0.9.2-2) unstable; urgency=low

  * Added checking rhost for null pointer, 
    as it caused segmentation fault.

 -- Mateusz Kaduk <mateusz@kaduk.net>  Wed, 05 Dec 2007 21:05:32 +0100

pam-shield (0.9.2-1) unstable; urgency=low

  * Initial release

 -- Mateusz Kaduk <mateusz@kaduk.net>  Sun, 02 Dec 2007 16:42:55 +0100

=== debian/control ===
Source: pam-shield
Section: admin
Priority: optional
Maintainer: Jonathan Niehof <jtniehof@gmail.com>
Build-Depends: debhelper (>= 8), libgdbm-dev, libpam0g-dev, autoconf, automake (>= 1.11), libtool
Standards-Version: 3.9.3.0
Homepage: http://github.com/jtniehof/pam_shield

Package: libpam-shield
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Suggests: iproute, iptables, ufw
Description: locks out remote attackers trying password guessing
 In certain situations it is not possible to use host based 
 authentication and here pam-shield comes in use.
 .
 It locks out brute-force password crackers using null-route or iptables rules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# shared library versions, option 1
version=0.9.6
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status:
	dh_clean Makefile
	sh ./autogen.sh
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	sh ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs" --with-slibdir=/lib/ --sysconfdir=/etc/ --localstatedir=/var/

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE)
	touch $@

_clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	- $(MAKE) distclean
	dh_clean

clean: _clean
	rm -fr build-stamp config.h config.status missing \
	Makefile stamp* .depend .deps/ .pc/ ltmain.sh libtool \
	depcomp install-sh
	- rm -fr $(CURDIR)/debian/libpam-shield

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/libpam-shield install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
https://github.com/jtniehof/pam_shield/releases \
 /jtniehof/pam_shield/archive/(\d[\d\.]+).tar.gz
